IDM install returns error: Unsupported JClient version/JClient not found

  • 7003942
  • 22-Jul-2009
  • 26-Apr-2012

Environment

Novell Identity Manager 3.6
Novell Identity Manager 3.6.1
Novell Identity Manager Engine

Situation

During the Identity Manager (IDM) 3.6.1 installation the following error was returned:

Unsupported JClient version/JClient not found

The installation does not complete as a result of this error.

Resolution

The IDM installation prerequisites are covered in the IDM documentation and must be met for Identity Manager to be installed successfully.  The error message means that the required eDirectory libraries for JClient are not present on the server where IDM is being installed.  For IDM 3.6 eDirectory 8.8.3 or later must be on the server where IDM is being installed.  For IDM 3.6.1 eDirectory 8.8.5 must be on the server where IDM is installed.  See the documentation for the requirements for the specific version of IDM.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.